local real_ecm_amount

local setup=ECMJammerBase.setup
function ECMJammerBase:setup(battery_life_upgrade_lvl, owner)
	setup(self, battery_life_upgrade_lvl, owner)
	if owner and self._owner_id==1 then
		local peer=managers.network:session():peer_by_unit(owner)
		real_ecm_amount=(real_ecm_amount
			or managers.player:has_category_upgrade("ecm_jammer", "quantity") and 2 or 1) - 1
		if real_ecm_amount < 0 then
			self._disable_default=true
			self._battery_low=true
			self._battery_life=0.01
			self._chk_feedback_retrigger_t=tweak_data.upgrades.ecm_feedback_retrigger_interval or 60
			end
		end
	end

local update=ECMJammerBase.update
function ECMJammerBase:update(unit, t, dt)
	update(self, unit, t, dt)
	if self._battery_empty and self._chk_feedback_retrigger_t then
		self._unit:interaction():set_active(true, false, true)
		end
	end

local set_active=ECMJammerBase.set_active
function ECMJammerBase:set_active(active)
	if self._disable_default then
		active=false
		self._disable_default=nil
		end
	set_active(self, active)
	end